#version 430

uniform vec4 pos;
layout(location=0) in vec3 vtx_Pos;
smooth out vec2 uv;

void main(void) {
	vec2 lo = (pos.xy/4.0f) - 1.0f;
	vec2 hi = (pos.zw/4.0f) - 1.0f;
	gl_Position = vec4(mix(lo, hi, vtx_Pos.xy), 0.0f,1.0f);
	uv = vtx_Pos.xy;
}
